package com.jjt.inventory.service;

import com.jjt.inventory.domain.TwinCalcHourPt;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;

/**
 * 盘头仓库小时数据Service接口
 *
 * @author wukai
 * @date 2025-06-10
 */
public interface ITwinCalcHourPtService {
    /**
     * 查询盘头仓库小时数据
     *
     * @param id 盘头仓库小时数据主键
     * @return 盘头仓库小时数据
     */
    public TwinCalcHourPt selectTwinCalcHourPtById(Long id);

    /**
     * 查询盘头仓库小时数据列表
     *
     * @param twinCalcHourPt 盘头仓库小时数据
     * @return 盘头仓库小时数据集合
     */
    public List<TwinCalcHourPt> selectTwinCalcHourPtList(TwinCalcHourPt twinCalcHourPt);

    /**
     * 新增盘头仓库小时数据
     *
     * @param twinCalcHourPt 盘头仓库小时数据
     * @return 结果
     */
    public int insertTwinCalcHourPt(TwinCalcHourPt twinCalcHourPt);

    /**
     * 修改盘头仓库小时数据
     *
     * @param twinCalcHourPt 盘头仓库小时数据
     * @return 结果
     */
    public int updateTwinCalcHourPt(TwinCalcHourPt twinCalcHourPt);

    /**
     * 批量删除盘头仓库小时数据
     *
     * @param ids 需要删除的盘头仓库小时数据主键集合
     * @return 结果
     */
    public int deleteTwinCalcHourPtByIds(Long[] ids);

    /**
     * 删除盘头仓库小时数据信息
     *
     * @param id 盘头仓库小时数据主键
     * @return 结果
     */
    public int deleteTwinCalcHourPtById(Long id);

    /**
     * 按时间删除
     *
     * @param date 日期
     * @param hour 小时
     */
    void delete(LocalDate date, int hour);

    /**
     * 按天查询数据
     *
     * @param date 日期
     * @return 结果
     */
    List<TwinCalcHourPt> selectTwinCalcHourPtByDay(LocalDate date);

    /**
     * 按小时查询数据
     *
     * @param time 时间
     * @param hour 小时
     */
    List<TwinCalcHourPt>  selectTwinCalcHourPtByHour(Date time, Integer hour);
}
